Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 819522 - reinstalling of unavailable package returns status code 0
Summary: reinstalling of unavailable package returns status code 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-07 13:23 UTC by Karel Srot
Modified: 2014-01-21 06:25 UTC (History)
0 users

Fixed In Version: yum-3.2.29-31.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:12:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0406 normal SHIPPED_LIVE yum bug fix and enhancement update 2013-02-20 20:50:44 UTC

Description Karel Srot 2012-05-07 13:23:32 UTC
Description of problem:

reinstalling of unavailable package returns status code 0 although it would make more sense to exit with 1 (as in new rhel7/fedora)


yum-3.2.29-22.el6.noarch:

# yum reinstall nothing
...
...
Setting up Reinstall Process
beaker                                                                                | 2.9 kB     00:00     
qa-tools                                                                              | 1.2 kB     00:00     
rhel6.2-server                                                                        | 4.0 kB     00:00     
rhel6.2-server-opt                                                                    | 3.8 kB     00:00     
Installed package nothing-1-1.i386 not available.
Nothing to do
# echo $?
0


On the other hand the installation looks like:

# yum install nothing
Loaded plugins: downloadonly, presto, product-id, refresh-packagekit, rhnplugin, security, subscription-
              : manager
Updating certificate-based repositories.
This system is not registered with RHN.
RHN Satellite or RHN Classic support will be disabled.
Setting up Install Process
No package nothing available.
Error: Nothing to do
# echo $?
1

Comment 2 James Antill 2012-06-27 14:41:40 UTC
commit e16d0627196ce891ccab049f08dd24081f45e439
Author: Zdeněk Pavlas <zpavlas@redhat.com>
Date:   Tue Mar 6 16:53:43 2012 +0100

    exit(1) when all reinstall args are bad.  BZ 800285.

Comment 3 RHEL Product and Program Management 2012-07-10 06:02:16 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2012-07-11 02:11:40 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 9 errata-xmlrpc 2013-02-21 10:12:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0406.html


Note You need to log in before you can comment on or make changes to this bug.